Teams 1 endpoints

GET /teams
operationId: Teams_listInCompany

Parameters

Name In Required Type Description
page query optional integer

Responses

200

Successful Response

GET /teams

Terminationsreasons 1 endpoints

GET /termination-reasons
operationId: TerminationsReasons_listInCompany

Parameters

Name In Required Type Description
page query optional integer

Responses

200

Successful Response

GET /termination-reasons

Timesheets 1 endpoints

POST /timesheets/clock-in

Employees will be only clocked in & out if API time clocking is enabled for Timesheet group

operationId: Timesheets_clockInOut

Request Body

required

Times on specific dates for specific employees as json

application/json
schema TimesheetsClockInOutRequest
Property Type Required
override string optional
clocked_time object optional
YYYY/MM/DD object optional
employee_id array optional
clock_in string optional
clock_out string optional

Responses

200

Successful Response

POST /timesheets/clock-in